unit uContactosViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils,
  uEditorClientes, uEditorInstaladores, uEditorProveedores,
  uEditorVendedores, uEditorElegirCLientes,
  uEditorCliente, uEditorInstalador, uEditorProveedor,
  uEditorVendedor, uEditorElegirProveedores;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorClientes, 'EditorClientes');
  EditorRegistry.RegisterClass(TfEditorProveedores, 'EditorProveedores');
  EditorRegistry.RegisterClass(TfEditorInstaladores, 'EditorInstaladores');
  EditorRegistry.RegisterClass(TfEditorVendedores, 'EditorVendedores');

  EditorRegistry.RegisterClass(TfEditorCliente, 'EditorCliente');
  EditorRegistry.RegisterClass(TfEditorProveedor, 'EditorProveedor');
  EditorRegistry.RegisterClass(TfEditorInstalador, 'EditorInstalador');
  EditorRegistry.RegisterClass(TfEditorVendedor, 'EditorVendedor');

  EditorRegistry.RegisterClass(TfEditorElegirClientes, 'EditorElegirClientes');
  EditorRegistry.RegisterClass(TfEditorElegirProveedores, 'EditorElegirProveedores');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorClientes);
  EditorRegistry.UnRegisterClass(TfEditorProveedores);
  EditorRegistry.UnRegisterClass(TfEditorInstaladores);
  EditorRegistry.UnRegisterClass(TfEditorVendedores);

  EditorRegistry.UnRegisterClass(TfEditorCliente);
  EditorRegistry.UnRegisterClass(TfEditorProveedor);
  EditorRegistry.UnRegisterClass(TfEditorInstalador);
  EditorRegistry.UnRegisterClass(TfEditorVendedor);

  EditorRegistry.UnRegisterClass(TfEditorElegirClientes);
  EditorRegistry.UnRegisterClass(TfEditorElegirProveedores);    
end;

end.
